# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:disable_autorequire) do
  desc <<-DESC
  Puppet supports automatic ordering of resources by autorequire. Sometimes,
  however, this causes issues. Setting this parameter to `true`, disables
  autorequiring for this specific resource.

  USE WITH CAUTION!!

  Here is an example on hopw to use this:


      ...{'domain_name/...':
        disableautorequire => true,
        ...
      }


  DESC

  defaultto false
end
