# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cluster_messaging_mode, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Specifies the messaging type used in the cluster. Multicast messaging is provided for backwards compatibility.

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         cluster_messaging_mode => 'unicast'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:cluster_messaging_mode']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('ClusterMessagingMode')
end
