# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:coherence_cluster_system_resource, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Coherence Cluster associated with this cluster.

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         coherence_cluster_system_resource => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:coherence_cluster_system_resource']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],String]]")

  maps_to('CoherenceClusterSystemResource')
end
