# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:migration_table_name, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  desc <<-DESC
  Return the name of the table to be used for server migration.

  Here is an example on how to use this:

      wls_cluster { 'aCluster':
        ...
        migration_table_name => 'MYTABLE',
        ...
      }

  DESC

  data_type('Optional[String[1]]')

  maps_to('AutoMigrationTableName')
end
