# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:report_group_file, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Get the report group file representing the superset of runtime metrics to be collected for this cluster.

  An example on how to use this:

      wls_coherence_cluster {a_wls_coherence_cluster :
         ...
         report_group_file => 'em/coherence/report-group.xml'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_cluster:report_group_file']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('ReportGroupFile')
end
