# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unicast_listen_address, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The IP address for the cluster unicast listener.

  An example on how to use this:

      wls_coherence_cluster {a_wls_coherence_cluster :
         ...
         unicast_listen_address => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_cluster:unicast_listen_address']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('CoherenceClusterResource/%<coherence_cluster_name>s/CoherenceClusterParams/%<coherence_cluster_name>s/UnicastListenAddress') {}
end
