# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unicast_listen_port, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The port for the cluster unicast listener.

  An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         unicast_listen_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_coherence_server:unicast_listen_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('UnicastListenPort')
end
