# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:restartinterval, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
   The number of seconds during which this server can be restarted, up to the number of times specified in RestartMax.

   An example on how to use this:

      wls_coherence_server {a_wls_coherence_server :
         ...
         restartinterval => '3600'
         ...
      }

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('RestartIntervalSeconds')
end
