# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:initialcapacity, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The number of physical connections to create when creating the connection pool in the data source. If unable to create this number of connections, creation of the data source will fail.

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         initialcapacity => 1,
         ...
      }

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCConnectionPoolParams/%<datasource_name>s/InitialCapacity')
end
