# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:usexa, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    the UseXaDataSourceInterface enabled on the jdbc driver.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('JDBCResource/%<datasource_name>s/JDBCDriverParams/%<datasource_name>s/UseXaDataSourceInterface')
end
