# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_date_pattern, :parent => Puppet::Parameter::WlsProperty) do
  extend Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-DESC
    The date format pattern used for rendering dates in the log.
    The DateFormatPattern string conforms to the specification of the java.text.SimpleDateFormat class.
  DESC

  data_type('Optional[String]')

  maps_to('Log/%<domain_name>s/DateFormatPattern')
end
