# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password, :parent => Puppet::Parameter::WlsEncryptedProperty) do
  desc <<-DESC
  The remote server's user password.

  An example on how to use this:

      wls_foreign_jndi_provider {a_wls_foreign_jndi_provider :
         ...
         password => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_foreign_jndi_provider:password']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('Password')
end
