# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:defaulttargeting, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean
  desc <<-DESC
  Specifies whether this JMS resource defaults to the parent module's targeting
  or uses the subdeployment targeting mechanism.  When set to true, this
  resource implicitly inherits the targeting of its parent module. When set to
  false, this resource gets targeted based its subdeployment's targets, if one
  is specified.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('DefaultTargetingEnabled')

  #
  # Only apply this value when explicitly set. When it is 0 don't do anything
  #
  on_apply do
    apply_paths(value) if value == 1
  end
end
