# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:quota, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Ths name of the quota for the jms object.

  DESC

  data_type('Optional[String]')

  maps_to('Quota/')

  on_apply do
    apply_paths_with_reference("/JMSSystemResources/#{resource[:jmsmodule]}/JMSResource/#{resource[:jmsmodule]}/Quotas", value)
  end
end

child_of(:wls_jms_quota, :quota) { "#{domain}/#{jmsmodule}:#{quota}" }
