# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:qosdegradationallowed, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Specifies if this messaging bridge instance allows the degradation of its QOS (quality of service) when the configured QOS is not available.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  defaultto '0'

  maps_to('QOSDegradationAllowed')
end
