# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sourcedestination, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The source destination from which this messaging bridge instance reads messages.

  DESC

  data_type('Optional[String]')

  maps_to('SourceDestination/')

  on_apply do
    apply_paths_with_reference('/JMSBridgeDestinations', value)
  end
end

child_of(:wls_jms_bridge_destination, :sourcedestination) { "#{domain}/#{sourcedestination}" }
