# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:testfrequency, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The number of seconds a WebLogic Server instance waits between attempts when testing unused connections.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('JDBCResource/%<multi_datasource_name>s/JDBCConnectionPoolParams/%<multi_datasource_name>s/TestFrequencySeconds')
end
