# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC


  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         log_file_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:log_file_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('JMSSAFMessageLogFile/%<safagent_name>s/FileName')
end
