# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:persistentstoretype, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType

  desc <<-DESC
  The persistentstore type

  DESC

  def insync?(to)
    #
    # If the persistet store isn't specified, we return a true
    #
    if resource.persistentstore
      super
    else
      true
    end
  end

  newvalues('FileStore', 'JDBCStore')

  on_apply do
    # Leave the work to persistent store
  end

  maps_to('Store/%<persistentstore>s/Type')

  data_type("Optional[Enum['FileStore','JDBCStore']]")
end
