# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:custom_trust_key_store_type, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The type of the keystore. Generally, this is <code>JKS</code>. If using the Oracle Key Store Service, this would be <code>KSS</code>  If empty or null, then the JDK's default keystore type (specified in java.security) is used. This keystore type is only used if KeyStores is CUSTOM_IDENTITY_AND_CUSTOM_TRUST.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         custom_trust_key_store_type => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:custom_trust_key_store_type']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('CustomTrustKeyStoreType')
end
