# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_severity, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The minimum severity of log messages going to the server log file. By default all messages go to the log file.#{'  '}

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_file_severity => 'Trace'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_file_severity']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('Log/%<server_name>s/LogFileSeverity')
end
