# frozen_string_literal: true

newproperty(:migration_policy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC


  An example on how to use this:

      wls_server {a_wls_server :
         ...
         migration_policy => 'manual'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:migration_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('JTAMigratableTarget/%<server_name>s/MigrationPolicy') {}
end
