# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_tags, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Return all tags on this Configuration MBean

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_tags => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_tags']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SSL/%<server_name>s/Tags')
end
