# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:javastandardtrustkeystorepassphraseencrypted, :parent => Puppet::Parameter::WlsEncryptedProperty) do
  desc <<-DESC
  The encrypted password for the Java Standard Trust keystore. This password is defined when the keystore is created.  To set this attribute,  use <code>weblogic.management.EncryptionHelper.encrypt()</code> to encrypt the value. Then set this attribute to the output of the encrypt() method.  To compare a password that a user enters with the encrypted value of this attribute, go to the same WebLogic Server instance that you used to set and encrypt this attribute and use <code>weblogic.management.EncryptionHelper.encrypt()</code> to encrypt the user-supplied password. Then compare the encrypted values.

  An example on how to use this:

      ...{...:
         ...
         javastandardtrustkeystorepassphraseencrypted => None
         ...
      }

  Help text generated from MBEan text.

  DESC

  maps_to('JavaStandardTrustKeyStorePassPhraseEncrypted')
end
