# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:serverprivatekeypassphraseencrypted, :parent => Puppet::Parameter::WlsEncryptedProperty) do
  desc <<-DESC
  The encrypted passphrase used to retrieve the server's private key from the keystore. This passphrase is assigned to the private key when it is generated.  To set this attribute, use <code>weblogic.management.EncryptionHelper.encrypt()</code> to encrypt the value. Then set this attribute to the output of the encrypt() method.  To compare a password that a user enters with the encrypted value of this attribute, go to the same WebLogic Server instance that you used to set and encrypt this attribute and use <code>weblogic.management.EncryptionHelper.encrypt()</code> to encrypt the user-supplied password. Then compare the encrypted values.

  An example on how to use this:

      ...{...:
         ...
         serverprivatekeypassphraseencrypted => None
         ...
      }

  Help text generated from MBEan text.

  DESC

  maps_to('SSL/%<server_name>s/ServerPrivateKeyPassPhraseEncrypted')
end
