# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssllistenport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  include EasyType::Validators::PortNumber

  desc <<-DESC
  The TCP/IP port at which this server listens for SSL connection requests.

  An example on how to use this:

      ...{...:
         ...
         ssllistenport => 7002
         ...
      }

  Help text generated from MBEan text.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to 'SSL/%<server_name>s/ListenPort'
end
