# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:server, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  isnamevar

  desc <<-DESC
    The server name

  DESC

  to_translate_to_resource do |raw_resource|
    raw_resource['server']
  end
end

child_of(:wls_server, :server) { "#{domain}/#{server}" }
