# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:login_timeout_millis, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The login timeout for this server's default regular (non-SSL) listen port. This is the maximum amount of time allowed for a new connection to establish.  A value of <code>0</code> indicates there is no maximum.

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         login_timeout_millis => '5000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:login_timeout_millis']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('LoginTimeoutMillis')
end
