# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reliable_delivery_policy, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The reliable delivery policy for web services.

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         reliable_delivery_policy => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:reliable_delivery_policy']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ReliableDeliveryPolicy')
end
