# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:tunneling_client_ping_secs, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The interval (in seconds) at which to ping a tunneled client to see if it is still alive.  If you create network channels for this server, each channel can override this setting.

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         tunneling_client_ping_secs => '45'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:tunneling_client_ping_secs']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('TunnelingClientPingSecs')
end
