# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_charsets, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Provides user defined mapping between internet and Java charset names.

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         http_charsets => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:http_charsets']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('WebServer/%<virtual_target_name>s/Charsets')
end
