# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_frontend_http_port, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The name of the HTTP port to which all redirected URLs will be sent. If specified, WebLogic Server will use this value rather than the one in the HOST header.  Sets the frontendHTTPPort Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place.

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         http_frontend_http_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_target:http_frontend_http_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('WebServer/%<virtual_target_name>s/FrontendHTTPPort')
end
