# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:uriprefix, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The URI prefix for this VirtualTarget.

  An example on how to use this:

      wls_virtual_target {a_wls_virtual_target :
         ...
         uriprefix => '/'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('UriPrefix')
end
