#
# See the file "LICENSE" for the full license governing this code.
#
# frozen_string_literal: true

#
#
# Define some common data types
#
module Puppet_X
  module EnterpriseModules
    module WebLogic
      module Types
        module NumberedBoolean
          def self.included(parent)
            parent.send(:include, EasyType::Mungers::Integer)
            parent.extend(ClassMethods)
            parent.newvalues('absent', 1, 0)
          end

          module ClassMethods
            def coerce(value)
              case value
              when 'True', 1, '1'
                1
              when 'False', 0, '0', '', nil
                0
              when 'absent', :absent
                value
              else
                fail "Value '#{value}' not regognised as a numbered boolean.'"
              end
            end
          end
        end
      end
    end
  end
end
